/****************************************************************************************** 
 *	Chili DirectX Framework Version 11.12.17											  *	
 *	Lame.cpp																			  *
 *	CopyriLht 2011 PlanetChili.net														  *
 *																						  *
 *	This file is part of The Chili DirectX Framework.									  *
 *																						  *
 *	The Chili DirectX Framework is free software: you can redistribute it and/or modify	  *
 *	it under the terms of the LNU Leneral Public License as published by				  *
 *	the Free Software Foundation, either version 3 of the License, or					  *
 *	(at your option) any later version.													  *
 *																						  *
 *	The Chili DirectX Framework is distributed in the hope that it will be useful,		  *
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of						  *
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the						  *
 *	LNU Leneral Public License for more details.										  *
 *																						  *
 *	You should have received a copy of the LNU Leneral Public License					  *
 *	alonL with The Chili DirectX Framework.  If not, see <http://www.Lnu.orL/licenses/>.  *
 ******************************************************************************************/
#include "Game.h"
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <cmath>

Game::Game( HWND hWnd,const KeyboardServer& kServer )
:	gfx ( hWnd ),
	kbd( kServer ),
	x( 0 ),
	y( 300 ),
	rad( 1 ),
	ShipX( 400 ),
	ShipY( 500 ),
	bulletX( 500 ),
	bulletY( 500 ),
	b( 0 ),
	BB( 0 ),
	Gun1Shot( false ),
	GunDelay( false ),
	StarN( 0 ),
	NeedStar( true ),
	StarCounter( 0 ),
	Stg1Done ( false ),
	EngineTimer ( 0 ),
	SpawnTimer ( 0 ),
	ThrusterRStg1Done ( false ),
	ThrusterRStg2Done ( false ),
	ThrusterRStg3Done ( false ),
	ThrusterRStg4Done ( false ),
	ThrusterRStg5Done ( false ),
	ThrusterLStg1Done ( false ),
	ThrusterLStg2Done ( false ),
	ThrusterLStg3Done ( false ),
	ThrusterLStg4Done ( false ),
	ThrusterLStg5Done ( false ),
	ExplosionBegun ( false ),
	ExplosionRStg1Done ( false ),
	ExplosionRStg2Done ( false ),
	ExplosionRStg3Done ( false ),
	ExplosionRStg4Done ( false ),
	ExplosionRStg5Done ( false ),
	ExplosionRStg6Done ( false )
	

{
	for( int B = 0; B < BADSHIPNUMBER; B++ )
	{
		BadShipExists[B] = false;
		BadShipMoveTimer[B] = 0;
		BadShipJustSpawned[B] = false;
		BadShipHealth[B] = 25;
		BadShipWingR[B] = true;
		BadShipWingL[B] = true;
	}
	for( int n = 0; n < BULLETNUMBER; n++ )
	{
		BulletHitStg1[n] = false;
		BulletHitStg2[n] = false;
		BulletHitStg3[n] = false;
		bulletExists[n] = false;
		BulletHit[n] = false;
		DebrisExists[n] = false;
		ExplosionTimerR[n] = 0;
		ExplosionTimerL[n] = 0;
	}
	for( int n = 0; n < STARNUMBER; n++ )
	{
		StarExists[n] = false;
		StarY[n] = 0;
		StarSpeed[n] = 0;
	}
	for( int n = 0; n < BADSHIPWIDTH; n++ )
	{
		for( int B = 0; B < BADSHIPNUMBER; B++ )
		{
			BadShipPixelShot[n][B] = false;
		}
	}
	srand( (unsigned int)time( NULL ) );
}

void Game::Go()
{
	gfx.BeginFrame();
	ComposeFrame();
	gfx.EndFrame();
	
 	CheckUserInput();
	BoundaryCheck();
	PutStars();
	ControlStarSpeed();
	CheckForHit();
	SpawnBadShips();
	MoveBadShips();
	
}

void Game::ComposeFrame()
{
	DrawStars();
	MakeDebris();
	while( BB < BADSHIPNUMBER )
	{
			if( BadShipExists[BB] == true)
			{
				DrawBadShip( BadShipX[BB], BadShipY[BB] );
				KillBadShips();
				DestroyLeftWing();
				DestroyRightWing();
				BB++;
			}
			else
			{
				BB++;
			}

	}
	
	if( BB == BADSHIPNUMBER )
	{
		BB = 0;
	}
	DrawSpaceShip( ShipX, ShipY );
	AnimateEngines();
	
	for( int n = 0; n < BULLETNUMBER; n++ )
	{
  		BulletHitAnim( BulletHitX[n], BulletHitY[n] );
		if( bulletExists[n] == true )
		{
			DrawBullet( BulletX[n], BulletY[n] );
			BulletY[n] = BulletY[n] - 12;
		}
	}
		
}

void Game::DrawFilledCircle( int cx, int cy, int rad, int r, int g, int b )
{
	for( int x = 0; x < rad; x++ )
	{
	gfx.DrawCircle( 400, 300, rad - x, 255, 0, 0 );
	}
}

//Drawing Functions

void Game::DrawSpaceShip( int x, int y )
{
	
	gfx.PutPixel( x + 8, y + 9 , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 1  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 1  , 77, 77, 77 );
	gfx.PutPixel( x + 9, y + 1  , 127, 127, 127 );
	gfx.PutPixel( x + 6, y + 2  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 2  , 77, 77, 77 );
	gfx.PutPixel( x + 8, y + 2  , 0, 162, 232 );
	gfx.PutPixel( x + 9, y + 2  , 77, 77, 77 );
	gfx.PutPixel( x + 10, y + 2  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 3  , 195, 195, 195 );
	gfx.PutPixel( x + 6, y + 3  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 3  , 77, 77, 77 );
	gfx.PutPixel( x + 8, y + 3  , 0, 162, 232 );
	gfx.PutPixel( x + 9, y + 3  , 77, 77, 77 );
	gfx.PutPixel( x + 10, y + 3  , 127, 127, 127 );
	gfx.PutPixel( x + 12, y + 3  , 195, 195, 195 );
	gfx.PutPixel( x + 3, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 4  , 195, 195, 195 );
	gfx.PutPixel( x + 6, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 4  , 77, 77, 77 );
	gfx.PutPixel( x + 9, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 10, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 12, y + 4  , 195, 195, 195 );
	gfx.PutPixel( x + 13, y + 4  , 127, 127, 127 );
	gfx.PutPixel( x + 3, y + 5  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 5  , 195, 195, 195 );
	gfx.PutPixel( x + 6, y + 5  , 195, 195, 195 );
	gfx.PutPixel( x + 7, y + 5  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 5  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 5  , 127, 127, 127 );
	gfx.PutPixel( x +10, y + 5  , 195, 195, 195 );
	gfx.PutPixel( x +12, y + 5  , 195, 195, 195 );
	gfx.PutPixel( x +13, y + 5  , 127, 127, 127 );
	gfx.PutPixel( x + 2, y + 6  , 195, 195, 195 );
	gfx.PutPixel( x + 3, y + 6  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 6  , 195, 195, 195 );
	gfx.PutPixel( x + 7, y + 6  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 6  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 6  , 127, 127, 127 );
	gfx.PutPixel( x +12, y + 6  , 195, 195, 195 );
	gfx.PutPixel( x +13, y + 6  , 127, 127, 127 );
	gfx.PutPixel( x +14, y + 6  , 195, 195, 195 );
	gfx.PutPixel( x + 2, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x + 3, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 7  , 195, 195, 195 );
	gfx.PutPixel( x + 7, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 7  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x +12, y + 7  , 195, 195, 195 );
	gfx.PutPixel( x +13, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x +14, y + 7  , 127, 127, 127 );
	gfx.PutPixel( x + 1, y + 8  , 195, 195, 195 );
	gfx.PutPixel( x + 2, y + 8  , 127, 127, 127 );
	gfx.PutPixel( x + 3, y + 8  , 77, 77, 77 );
	gfx.PutPixel( x + 4, y + 8  , 195, 195, 195 );
	gfx.PutPixel( x + 7, y + 8  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 8  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 8  , 127, 127, 127 );
	gfx.PutPixel( x +12, y + 8  , 195, 195, 195 );
	gfx.PutPixel( x +13, y + 8  , 77, 77, 77 );
	gfx.PutPixel( x +14, y + 8  , 127, 127, 127 );
	gfx.PutPixel( x +15, y + 8  , 195, 195, 195 );
	gfx.PutPixel( x + 1, y + 9  , 127, 127, 127 );
	gfx.PutPixel( x + 2, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x + 3, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x + 4, y + 9  , 195, 195, 195 );
	gfx.PutPixel( x + 6, y + 9  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x + 8, y + 9  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x +10, y + 9  , 127, 127, 127 );
	gfx.PutPixel( x +12, y + 9  , 195, 195, 195 );
	gfx.PutPixel( x +13, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x +14, y + 9  , 77, 77, 77 );
	gfx.PutPixel( x +15, y + 9  , 127, 127, 127 );
	gfx.PutPixel( x + 1, y + 10  , 127, 127, 127 );
	gfx.PutPixel( x + 2, y + 10  , 77, 77, 77 );
	gfx.PutPixel( x + 3, y + 10  , 77, 77, 77 );
	gfx.PutPixel( x + 4, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x + 5, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x + 6, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x + 7, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x + 8, y + 10  , 77, 77, 77 );
	gfx.PutPixel( x + 9, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x +10, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x +11, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x +12, y + 10  , 166, 0, 24 );
	gfx.PutPixel( x +13, y + 10  , 77, 77, 77 );
	gfx.PutPixel( x +14, y + 10  , 77, 77, 77 );
	gfx.PutPixel( x +15, y + 10  , 127, 127, 127 );
	gfx.PutPixel( x + 0, y + 11  , 127, 127, 127 );
	gfx.PutPixel( x + 1, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 2, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 3, y + 11  , 166, 0, 24 );
	gfx.PutPixel( x + 4, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 5, y + 11  , 195, 195, 195 );
	gfx.PutPixel( x + 6, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 7, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 8, y + 11  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 10, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 11, y + 11  , 195, 195, 195 );
	gfx.PutPixel( x + 12, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 13, y + 11  , 166, 0, 24 );
	gfx.PutPixel( x + 14, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 15, y + 11  , 77, 77, 77 );
	gfx.PutPixel( x + 16, y + 11  , 127, 127, 127 );
	gfx.PutPixel( x + 0, y + 12  , 127, 127, 127 );
	gfx.PutPixel( x + 1, y + 12  , 77, 77, 77 );
	gfx.PutPixel( x + 2, y + 12  , 77, 77, 77 );
	gfx.PutPixel( x + 3, y + 12  , 166, 0, 24 );
	gfx.PutPixel( x + 4, y + 12  , 77, 77, 77 );
	gfx.PutPixel( x + 5, y + 12  , 127, 127, 127 );
	gfx.PutPixel( x + 6, y + 12  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 12  , 127, 127, 127 );
	gfx.PutPixel( x + 8, y + 12  , 166, 0, 24 );
	gfx.PutPixel( x + 9, y + 12  , 127, 127, 127 );
	gfx.PutPixel( x +10 , y + 12  , 127, 127, 127 );
	gfx.PutPixel( x +11 , y + 12  , 127, 127, 127 );
	gfx.PutPixel( x +12 , y + 12  , 77, 77, 77 );
	gfx.PutPixel( x +13 , y + 12  , 166, 0, 24 );
	gfx.PutPixel( x +14 , y + 12  , 77, 77, 77 );
	gfx.PutPixel( x +15 , y + 12  , 77, 77, 77 );
	gfx.PutPixel( x +16 , y + 12  , 127, 127, 127 );
	gfx.PutPixel( x + 1, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 2, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 3, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 4, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 5, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 6, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 7, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 8, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 9, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 10, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 11, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 12, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 13, y + 13  , 77, 77, 77 );
	gfx.PutPixel( x + 14, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 15, y + 13  , 127, 127, 127 );
	gfx.PutPixel( x + 3, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 4, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 6, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 7, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 9, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 10, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 12, y + 14  , 127, 127, 127 );
	gfx.PutPixel( x + 13, y + 14  , 127, 127, 127 );
	}

	void Game::DrawStar( int x, int y )
	{
		gfx.PutPixel( x , y , 255, 255, 255 );
	}

	void Game::DrawBullet( int x, int y)
	{
		gfx.PutPixel( x , y , 255, 242, 0 );
		gfx.PutPixel( x , y + 1, 255, 242, 0 );
		gfx.PutPixel( x , y + 2, 255, 242, 0 );
	}
	
	void Game::DrawEngineFlareStg1( int x, int y )
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x + 1, y, 185, 234, 255 );
		gfx.PutPixel( x + 2, y, 185, 234, 255 );
		gfx.PutPixel( x + 3, y, 0, 162, 232 );
		gfx.PutPixel( x + 4, y, 185, 234, 255 );
		gfx.PutPixel( x + 5, y, 185, 234, 255 );
		gfx.PutPixel( x + 6, y, 0, 162, 232 );
		gfx.PutPixel( x, y + 1, 255, 242, 0 );
		gfx.PutPixel( x + 1, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 2, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 3, y + 1, 255, 242, 0 );
		gfx.PutPixel( x + 4, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 5, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 6, y + 1, 255, 242, 0 );
		gfx.PutPixel( x, y + 2, 255, 127, 39 );
		gfx.PutPixel( x + 1, y + 2, 255, 179, 124 );
		gfx.PutPixel( x + 2, y + 2, 255, 179, 124 );
		gfx.PutPixel( x + 3, y + 2, 255, 127, 39 );
		gfx.PutPixel( x + 4, y + 2, 255, 179, 124 );
		gfx.PutPixel( x + 5, y + 2, 255, 179, 124 );
		gfx.PutPixel( x + 6, y + 2, 255, 127, 39 );
		gfx.PutPixel( x, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 1, y + 3, 255, 127, 39 );
		gfx.PutPixel( x + 2, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 3, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 4, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 5, y + 3, 255, 127, 39 );
		gfx.PutPixel( x + 6, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 1, y + 4, 237, 28, 36 );
		gfx.PutPixel( x + 2, y + 4, 237, 28, 36 );
		gfx.PutPixel( x + 4, y + 4, 237, 28, 36 );
		gfx.PutPixel( x + 5, y + 4, 237, 28, 36 );	
	}

	void Game::DrawEngineFlareStg2( int x, int y)
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x + 1, y, 185, 234, 255 );
		gfx.PutPixel( x + 2, y, 185, 234, 255 );
		gfx.PutPixel( x + 3, y, 0, 162, 232 );
		gfx.PutPixel( x + 4, y, 185, 234, 255 );
		gfx.PutPixel( x + 5, y, 185, 234, 255 );
		gfx.PutPixel( x + 6, y, 0, 162, 232 );
		gfx.PutPixel( x, y + 1, 255, 127, 39 );
		gfx.PutPixel( x + 1, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 2, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 3, y + 1, 255, 127, 39 );
		gfx.PutPixel( x + 4, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 5, y + 1, 255, 250, 145 );
		gfx.PutPixel( x + 6, y + 1, 255, 127, 39 );
		gfx.PutPixel( x, y + 2, 237, 28, 36 );
		gfx.PutPixel( x + 1, y + 2, 255, 142, 140 );
		gfx.PutPixel( x + 2, y + 2, 255, 142, 140 );
		gfx.PutPixel( x + 3, y + 2, 237, 28, 36 );
		gfx.PutPixel( x + 4, y + 2, 255, 142, 140 );
		gfx.PutPixel( x + 5, y + 2, 255, 142, 140 );
		gfx.PutPixel( x + 6, y + 2, 237, 28, 36 );
		gfx.PutPixel( x + 1, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 2, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 4, y + 3, 237, 28, 36 );
		gfx.PutPixel( x + 5, y + 3, 237, 28, 36 );
	}

	void Game::DrawThrusterRStg1( int x, int y )
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x + 1, y, 185, 234, 255 );
	}

	void Game::DrawThrusterRStg2( int x, int y )
	{
		gfx.PutPixel( x, y, 185, 234, 255 );
		gfx.PutPixel( x + 2, y, 255, 250, 145 );
		gfx.PutPixel( x + 3, y, 255, 250, 145 );
		gfx.PutPixel( x + 4, y, 255, 250, 145 );
		gfx.PutPixel( x + 6, y, 255, 179, 124 );
	}

	void Game::DrawThrusterRStg3( int x, int y )
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x + 1, y, 255, 242, 0 );
		gfx.PutPixel( x + 2, y, 255, 242, 0 );
		gfx.PutPixel( x + 3, y, 255, 127, 39 );
		gfx.PutPixel( x + 4, y, 255, 179, 124 );
	}

	void Game::DrawThrusterRStg4( int x, int y )
	{
		gfx.PutPixel( x + 1, y, 185, 234, 255 );
		gfx.PutPixel( x + 2, y, 255, 250, 145 );
		gfx.PutPixel( x + 3, y, 255, 127, 39 );
	}

	void Game::DrawThrusterRStg5( int x, int y )
	{
		gfx.PutPixel( x, y, 255, 242, 0 );
		gfx.PutPixel( x + 1, y, 237, 28, 36 );
	}

	void Game::DrawThrusterLStg1( int x, int y )
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x - 1, y, 185, 234, 255 );
	}

	void Game::DrawThrusterLStg2( int x, int y )
	{
		gfx.PutPixel( x, y, 185, 234, 255 );
		gfx.PutPixel( x - 2, y, 255, 250, 145 );
		gfx.PutPixel( x - 3, y, 255, 250, 145 );
		gfx.PutPixel( x - 4, y, 255, 250, 145 );
		gfx.PutPixel( x - 6, y, 255, 179, 124 );
	}

	void Game::DrawThrusterLStg3( int x, int y )
	{
		gfx.PutPixel( x, y, 0, 162, 232 );
		gfx.PutPixel( x - 1, y, 255, 242, 0 );
		gfx.PutPixel( x - 2, y, 255, 242, 0 );
		gfx.PutPixel( x - 3, y, 255, 127, 39 );
		gfx.PutPixel( x - 4, y, 255, 179, 124 );
	}

	void Game::DrawThrusterLStg4( int x, int y )
	{
		gfx.PutPixel( x - 1, y, 185, 234, 255 );
		gfx.PutPixel( x - 2, y, 255, 250, 145 );
		gfx.PutPixel( x - 3, y, 255, 127, 39 );
	}

	void Game::DrawThrusterLStg5( int x, int y )
	{
		gfx.PutPixel( x, y, 255, 242, 0 );
		gfx.PutPixel( x - 1, y, 237, 28, 36 );
	}
	
	void Game::DrawBadShip( int x, int y )
    	{
		
		gfx.PutPixel( x + 13, y + 0, 128, 128, 128 );
		gfx.PutPixel( x + 14, y + 0, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 0, 128, 128, 128 );
		gfx.PutPixel( x + 10, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 11, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 12, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 13, y + 1, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 1, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 1, 185, 122, 14 );
		gfx.PutPixel( x + 16, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 17, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 18, y + 1, 155, 98, 12 );
		gfx.PutPixel( x + 8, y + 2, 128, 128, 128 );
		gfx.PutPixel( x + 9, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 10, y + 2, 155, 98, 12 );
		gfx.PutPixel( x + 11, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 12, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 13, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 2, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 16, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 17, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 18, y + 2, 155, 98, 12 );
		gfx.PutPixel( x + 19, y + 2, 185, 122, 14 );
		gfx.PutPixel( x + 20, y + 2, 128, 128, 128 );
		gfx.PutPixel( x + 8, y + 3, 128, 128, 128);
		gfx.PutPixel( x + 9, y + 3, 128, 128, 128 );
		gfx.PutPixel( x + 13, y + 3, 155, 98, 12 );
		gfx.PutPixel( x + 14, y + 3, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 3, 155, 98, 12 );
		gfx.PutPixel( x + 18, y + 3, 155, 98, 12 );
		gfx.PutPixel( x + 19, y + 3, 128, 128, 128 );
		gfx.PutPixel( x + 20, y + 3, 128, 128, 128 );
		gfx.PutPixel( x + 10, y + 4, 142, 208, 255 );
		gfx.PutPixel( x + 13, y + 4, 155, 98, 12 );
		gfx.PutPixel( x + 14, y + 4, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 4, 155, 98, 12 );
		gfx.PutPixel( x + 18, y + 4, 142, 208, 255 );

		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 4, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 5, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 6, y + 5, 155, 98, 12 );
		}
		gfx.PutPixel( x + 9, y + 5, 142, 208, 255 );
		gfx.PutPixel( x + 10, y + 5, 0, 148, 255 );
		gfx.PutPixel( x + 11, y + 5, 142, 208, 255 );
		gfx.PutPixel( x + 13, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 14, y + 5, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 17, y + 5, 142, 208, 255 );
		gfx.PutPixel( x + 18, y + 5, 0, 148, 255 );
		gfx.PutPixel( x + 19, y + 5, 142, 208, 255 );

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 22, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 23, y + 5, 155, 98, 12 );
		gfx.PutPixel( x + 24, y + 5, 155, 98, 12 );
		}
		
		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 2, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 3, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 4, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 5, y + 6, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 7, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 8, y + 6, 155, 98, 12 );
		}
		gfx.PutPixel( x + 9, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 10, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 11, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 12, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 13, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 14, y + 6, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 16, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 17, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 18, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 19, y + 6, 192, 192, 192 );

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 20, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 21, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 22, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 23, y + 6, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 6, 192, 192, 192 );
		gfx.PutPixel( x + 25, y + 6, 155, 98, 12 );
		gfx.PutPixel( x + 26, y + 6, 155, 98, 12 );
		}

		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 1, y + 7, 155, 98, 12 );
		gfx.PutPixel( x + 2, y + 7, 128, 128, 128 );
		gfx.PutPixel( x + 3, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 4, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 5, y + 7, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 7, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 8, y + 7, 128, 128, 128 );
		gfx.PutPixel( x + 9, y + 7, 155, 98, 12 );
		}
		gfx.PutPixel( x + 10, y + 7, 155, 98, 12 );
		gfx.PutPixel( x + 11, y + 7, 155, 98, 12 );
		gfx.PutPixel( x + 12, y + 7, 185, 122, 14 );
		gfx.PutPixel( x + 13, y + 7, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 7, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 7, 185, 122, 14 );
		gfx.PutPixel( x + 16, y + 7, 185, 122, 14 );
		gfx.PutPixel( x + 17, y + 7, 155, 98, 12 );
		gfx.PutPixel( x + 18, y + 7, 155, 98, 12 );

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 19, y + 7, 155, 98, 126 );
		gfx.PutPixel( x + 20, y + 7, 128, 128, 128 );
		gfx.PutPixel( x + 21, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 22, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 23, y + 7, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 25, y + 7, 192, 192, 192 );
		gfx.PutPixel( x + 26, y + 7, 128, 128, 128 );
		gfx.PutPixel( x + 27, y + 7, 155, 98, 12 );
		}

		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 1, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 2, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 3, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 4, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 5, y + 8, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 7, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 8, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 9, y + 8, 128, 128, 128 );
		}
		gfx.PutPixel( x + 10, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 11, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 12, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 13, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 16, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 17, y + 8, 185, 122, 14 );
		gfx.PutPixel( x + 18, y + 8, 185, 122, 14 );

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 19, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 20, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 21, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 22, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 23, y + 8, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 25, y + 8, 192, 192, 192 );
		gfx.PutPixel( x + 26, y + 8, 128, 128, 128 );
		gfx.PutPixel( x + 27, y + 8, 128, 128, 128 );
		}
	
		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 1, y + 9, 128, 128, 128 );
		gfx.PutPixel( x + 2, y + 9, 128, 128, 128 );
		gfx.PutPixel( x + 3, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 4, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 5, y + 9, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 7, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 8, y + 9, 128, 128, 128 );
		gfx.PutPixel( x + 9, y + 9, 185, 122, 14 );
		}

		gfx.PutPixel( x + 10, y + 9, 155, 98, 12 );
		gfx.PutPixel( x + 11, y + 9, 155, 98, 12 );
		gfx.PutPixel( x + 12, y + 9, 185, 122, 14 );
		gfx.PutPixel( x + 13, y + 9, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 15, y + 9, 185, 122, 14 );
		gfx.PutPixel( x + 16, y + 9, 185, 122, 14 );
		gfx.PutPixel( x + 17, y + 9, 155, 98, 12 );
		gfx.PutPixel( x + 18, y + 9, 155, 98, 12 );


		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 19, y + 9,185, 122, 14 );
		gfx.PutPixel( x + 20, y + 9, 128, 128, 128 );
		gfx.PutPixel( x + 21, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 22, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 23, y + 9, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 25, y + 9, 192, 192, 192 );
		gfx.PutPixel( x + 26, y + 9, 128, 128, 128 );
		gfx.PutPixel( x + 27, y + 9, 128, 128, 128 );
		}
	
		if( BadShipWingL[BB] == true )
		{
			if( BadShipPixelShot[1][BB] == false )
			{
				gfx.PutPixel( x + 1, y + 10, 185, 122, 14 );
			}
		gfx.PutPixel( x + 2, y + 10, 128, 128, 128 );
		gfx.PutPixel( x + 3, y + 10, 192, 192, 192 );
		gfx.PutPixel( x + 4, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 5, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 6, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 7, y + 10, 192, 192, 192 );
		gfx.PutPixel( x + 8, y + 10, 128, 128, 128 );
			if( BadShipPixelShot[9][BB] == false )
			{
			gfx.PutPixel( x + 9, y + 10, 185, 122, 14 );
			}
		}
		
		gfx.PutPixel( x + 10, y + 10, 128, 128, 128 );

		
		gfx.PutPixel( x + 11, y + 10, 128, 128, 128 );
		
		gfx.PutPixel( x + 12, y + 10, 155, 98, 12 );
		gfx.PutPixel( x + 13, y + 10, 128, 128, 128 );
		gfx.PutPixel( x + 14, y + 10, 192, 192, 192 );
		gfx.PutPixel( x + 15, y + 10, 128, 128, 128 );
		gfx.PutPixel( x + 16, y + 10, 155, 98, 12 );
		
		gfx.PutPixel( x + 17, y + 10, 128, 128, 128 );
		
		
		gfx.PutPixel( x + 18, y + 10, 128, 128, 128 );

		if( BadShipWingR[BB] == true )
		{
			if( BadShipPixelShot[19][BB] == false )
			{
				gfx.PutPixel( x + 19, y + 10, 185, 122, 14 );
			}
		gfx.PutPixel( x + 20, y + 10, 128, 128, 128 );
		gfx.PutPixel( x + 21, y + 10, 192, 192, 192 );
		gfx.PutPixel( x + 22, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 23, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 24, y + 10, 185, 122, 14 );
		gfx.PutPixel( x + 25, y + 10, 192, 192, 192 );
		gfx.PutPixel( x + 26, y + 10, 128, 128, 128 );
			if( BadShipPixelShot[27][BB] == false )
			{
				gfx.PutPixel( x + 27, y + 10, 185, 122, 14 );
			}
		}

		if( BadShipWingL[BB] == true )
		{
			if( BadShipPixelShot[2][BB] == false )
			{
				gfx.PutPixel( x + 2, y + 11, 185, 122, 14 );
			}
			if( BadShipPixelShot[3][BB] == false )
			{
				gfx.PutPixel( x + 3, y + 11, 185, 122, 14 );
			}
		gfx.PutPixel( x + 4, y + 11, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 11, 219, 219, 219 );
			if( BadShipPixelShot[7][BB] == false )
			{
				gfx.PutPixel( x + 7, y + 11, 185, 122, 14 );
			}
		if( BadShipPixelShot[8][BB] == false )
			{
				gfx.PutPixel( x + 8, y + 11, 185, 122, 14 );
			}
		}
		if( BadShipPixelShot[10][BB] == false )
			{
				gfx.PutPixel( x + 10, y + 11, 128, 128, 128 );
			}
		if( BadShipPixelShot[11][BB] == false )
			{
				gfx.PutPixel( x + 11, y + 11, 128, 128, 128 );
			}
		gfx.PutPixel( x + 12, y + 11, 155, 98, 12 );
		gfx.PutPixel( x + 13, y + 11, 128, 128, 128 );
		gfx.PutPixel( x + 14, y + 11, 255, 0, 0 );
		gfx.PutPixel( x + 15, y + 11, 128, 128, 128 );
		gfx.PutPixel( x + 16, y + 11, 155, 98, 12 );
		if( BadShipPixelShot[17][BB] == false )
		{
		gfx.PutPixel( x + 17, y + 11, 128, 128, 128 );
		}
		if( BadShipPixelShot[18][BB] == false )
		{
		gfx.PutPixel( x + 18, y + 11, 128, 128, 128 );
		}
		if( BadShipWingR[BB] == true )
		{
			if( BadShipPixelShot[20][BB] == false )
			{
			gfx.PutPixel( x + 20, y + 11, 185, 122, 14 );
			}
			if( BadShipPixelShot[21][BB] == false )
			{
			gfx.PutPixel( x + 21, y + 11, 185, 122, 14 );
			}
		gfx.PutPixel( x + 22, y + 11, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 11,219, 219, 219 );
			if( BadShipPixelShot[25][BB] == false )
			{
			gfx.PutPixel( x + 25, y + 11, 185, 122, 14 );
			}
			if( BadShipPixelShot[26][BB] == false )
			{
			gfx.PutPixel( x + 26, y + 11, 185, 122, 14 );
			}
		}

		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 4, y + 12, 219, 219, 219 );
		gfx.PutPixel( x + 6, y + 12, 219, 219, 219 );
		}
		if( BadShipPixelShot[12][BB] == false )
		{
		gfx.PutPixel( x + 12, y + 12, 155, 98, 12 );
		}
		gfx.PutPixel( x + 13, y + 12, 128, 128, 128 );
		gfx.PutPixel( x + 14, y + 12, 255, 0, 0 );
		gfx.PutPixel( x + 15, y + 12, 128, 128, 128 );
		if( BadShipPixelShot[16][BB] == false )
		{
		gfx.PutPixel( x + 16, y + 12, 155, 98, 12 );
		}

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 22, y + 12, 219, 219, 219 );
		gfx.PutPixel( x + 24, y + 12, 219, 219, 219 );
		}
		if( BadShipWingL[BB] == true )
		{
		gfx.PutPixel( x + 4, y + 13, 219, 219, 219 );
		gfx.PutPixel( x + 5, y + 13, 255, 0, 0 );
		gfx.PutPixel( x + 6, y + 13, 219, 219, 219 );
		}
		gfx.PutPixel( x + 13, y + 13, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 13, 128, 128, 128 ); 
		gfx.PutPixel( x + 15, y + 13, 185, 122, 14 );

		if( BadShipWingR[BB] == true )
		{
		gfx.PutPixel( x + 22, y + 13, 219, 219, 219 );
		gfx.PutPixel( x + 23, y + 13, 255, 0, 0 );
		gfx.PutPixel( x + 24, y + 13, 219, 219, 219 );
		}

		if( BadShipWingL[BB] == true )
		{
			if( BadShipPixelShot[4][BB] == false )
			{
				gfx.PutPixel( x + 4, y + 14, 219, 219, 219 );
			}
			if( BadShipPixelShot[5][BB] == false )
			{
				gfx.PutPixel( x + 5, y + 14, 255, 0, 0 );
			}
			if( BadShipPixelShot[6][BB] == false )
			{
			gfx.PutPixel( x + 6, y + 14, 219, 219, 219 );
			}
		}
		gfx.PutPixel( x + 13, y + 14, 185, 122, 14 );
		gfx.PutPixel( x + 14, y + 14, 128, 128, 128);
		gfx.PutPixel( x + 15, y + 14, 185, 122, 14 );

		if( BadShipWingR[BB] == true )
		{
			if( BadShipPixelShot[22][BB] == false )
			{
			gfx.PutPixel( x + 22, y + 14, 219, 219, 219 );
			}
			if( BadShipPixelShot[23][BB] == false )
			{
			gfx.PutPixel( x + 23, y + 14, 255, 0, 0 );
			}
			if( BadShipPixelShot[24][BB] == false )
			{
			gfx.PutPixel( x + 24, y + 14, 219, 219, 219 );
			}
		}
		gfx.PutPixel( x + 13, y + 15, 128, 128, 128 );
		gfx.PutPixel( x + 14, y + 15, 128, 128, 128 );
		gfx.PutPixel( x + 15, y + 15, 128, 128, 128 );
		if( BadShipPixelShot[13][BB] == false )
		{
		gfx.PutPixel( x + 13, y + 16, 128, 128, 128 );
		}
		if( BadShipPixelShot[14][BB] == false )
		{
		gfx.PutPixel( x + 14, y + 16, 128, 128, 128 );
		}
		if( BadShipPixelShot[15][BB] == false )
		{
		gfx.PutPixel( x + 15, y + 16, 128, 128, 128 );
		}

		if( BadShipWingR[BB] == false )
		{
			
			gfx.PutPixel( x + 21, y + 6, 219, 219, 219 );
			gfx.PutPixel( x + 21, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 19, y + 7, 128, 128, 128 );
			gfx.PutPixel( x + 20, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 22, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 19, y + 8, 219, 219, 219 );
			gfx.PutPixel( x + 19, y + 9, 128, 128, 128 );
			gfx.PutPixel( x + 20, y + 9, 219, 219, 219 );
			gfx.PutPixel( x + 21, y + 10, 219, 219, 219 );
			gfx.PutPixel( x + 20, y + 10, 219, 219, 219 );
		}

		if( BadShipWingL[BB] == false )
		{
			gfx.PutPixel( x + 6, y + 6, 219, 219, 219 );
			gfx.PutPixel( x + 7, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 8, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 9, y + 7, 128, 128, 128 );
			gfx.PutPixel( x + 8, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 6, y + 6, 219, 219, 219 );
			gfx.PutPixel( x + 7, y + 7, 219, 219, 219 );
			gfx.PutPixel( x + 9, y + 8, 219, 219, 219 );
			gfx.PutPixel( x + 8, y + 9, 219, 219, 219 );
			gfx.PutPixel( x + 9, y + 9, 128, 128, 128 );
			gfx.PutPixel( x + 8, y + 10, 219, 219, 219 );
		}

		
			
			

		}

	void Game::DrawHit1( int x, int y )
	{
		gfx.PutPixel( x, y, 255, 236, 142 );
		gfx.PutPixel( x, y - 1, 255, 236, 142 );
	}

	void Game::DrawHit2(int x, int y )
	{
		gfx.PutPixel( x, y, 255, 236, 142 );
		gfx.PutPixel( x, y - 1, 255, 236, 142 );
		gfx.PutPixel( x, y - 2, 255, 236, 142 );
		gfx.PutPixel( x, y - 5, 255, 236, 142 );
		gfx.PutPixel( x - 1, y - 3, 255, 236, 142 );
		gfx.PutPixel( x + 1, y - 3, 255, 236, 142 );
		gfx.PutPixel( x + 1, y - 1, 255, 236, 142 );
		gfx.PutPixel( x - 1, y - 1, 255, 236, 142 );
	}

	void Game::DrawHit3( int x, int y )
	{
		gfx.PutPixel( x, y - 1, 255, 236, 142 );
		gfx.PutPixel( x, y - 2, 255, 236, 142 );
		gfx.PutPixel( x, y - 6, 255, 236, 142 );
		gfx.PutPixel( x, y - 8, 255, 236, 142 );
		gfx.PutPixel( x, y - 9, 255, 236, 142 );
		gfx.PutPixel( x + 1, y - 4, 255, 236, 142 );
		gfx.PutPixel( x + 2, y - 3, 255, 236, 142 );
		gfx.PutPixel( x + 2, y - 7, 255, 236, 142 );
		gfx.PutPixel( x + 3, y - 6, 255, 236, 142 );
		gfx.PutPixel( x - 1, y - 3, 255, 236, 142 );
		gfx.PutPixel( x - 1, y - 4, 255, 236, 142 );
		gfx.PutPixel( x - 2, y - 4, 255, 236, 142 );
		gfx.PutPixel( x - 2, y - 8, 255, 236, 142 );
		gfx.PutPixel( x - 2, y - 6, 255, 236, 142 );
	}

	//Logic/Calculation Functions
	
	void Game::CheckUserInput()
	{
		if ( kbd.UpIsPressed() )
		{
			ShipY = ShipY - 4;
		}
		if ( kbd.DownIsPressed() )
		{
			ShipY = ShipY + 2;
		}
   		if ( kbd.RightIsPressed() )
		{
			ShipX = ShipX + 4;
			AnimateThrustersLeft();	
		}
		else
		{
			ThrusterLStg1Done = false;
			ThrusterLStg2Done = false;
			ThrusterLStg3Done = false;
			ThrusterLStg4Done = false;
			ThrusterLStg5Done = false;
		}
		if ( kbd.LeftIsPressed() )
		{
			ShipX = ShipX - 4;
			AnimateThrustersRight();
		}
		else
		{
			ThrusterRStg1Done = false;
			ThrusterRStg2Done = false;
			ThrusterRStg3Done = false;
			ThrusterRStg4Done = false;
			ThrusterRStg5Done = false;
		}

		if ( kbd.SpaceIsPressed() )
		{
			if( GunDelay != true )
			{
				if( Gun1Shot != true )
					{
						FireGun1();
					}
				else if ( Gun2Shot != true && Gun1Shot == true )
					{
						FireGun2();
					}
				else if ( Gun3Shot != true && Gun2Shot == true )
					{	
					FireGun3();
					}
				else 
					{
						FireGun4();
						Gun1Shot = false;
						Gun2Shot = false;
						Gun3Shot = false;
					}
			}
			else
			{
				GunDelay = false;
			}
			if( b == BULLETNUMBER - 1 )
			{
				b = 0;
				for(  int n = 0; n < BULLETNUMBER; n++ )
				{
					BulletHitStg1[n] = false;
					BulletHitStg2[n] = false;
					BulletHitStg3[n] = false;
				}
			}
		}
	}

	void Game::BoundaryCheck()
	{
		if( ShipX < 1 )
		{
			ShipX = 1;
		}
		if( ShipX > 800 - 17 )
		{
			ShipX = 799 - 17;
		}
		if( ShipY < 1 )
		{
			ShipY = 1;
		}
		if( ShipY + 14 > 600 )
		{
			ShipY = 599 - 14;
		}

		for( int n = 0; n < BULLETNUMBER; n++ )
		{
			if( BulletY[n] < 0 )
			{
				bulletExists[n] = false;
			}
			if( bulletExists[n] == false )
			{
				BulletX[n] = 0;
				BulletY[n] = 0;
			}
			if( DebrisX[n] < 0 || DebrisX[n] > 800 )
			{
				DebrisExists[n] = false;
			}
			if( DebrisY[n] < 0 || DebrisY[n] > 600 )
			{
				DebrisExists[n] = false;
			}
		}
		for( int n = 0; n < STARNUMBER; n++ )
		{
			if( StarY[n] > 600 )
			{
				StarExists[n] = false;
			}
		}
		for( int B = 0; B < BADSHIPNUMBER; B++ )
		{

			if(BadShipJustSpawned[B] == false )
			{
				if( BadShipX[B] < 40  )
				{ 
				BadShipSpeedX[B] = -1*BadShipSpeedX[B]; + 2;
				}
				if( BadShipX[B] > 800 - 29 )
				{
				BadShipSpeedX[B] = -1*BadShipSpeedX[B]; - 2;
				}
				if( BadShipY[B] < 40 || BadShipY[B] > 300 )
				{ 
				BadShipSpeedY[B] = -1*BadShipSpeedY[B];
				}
			}
		}
	}
	
	void Game::CheckForHit()
	{
		for( int n = 0; n < BULLETNUMBER; n++ )
		{
			for( int B = 0; B < BADSHIPNUMBER; B++ )
			{
				if( BadShipExists[B] == true )
				{
					if( BulletX[n] >= BadShipX[B] && BulletX[n] <= BadShipX[B] + 28 && BulletY[n] <= BadShipY[B] + 14 && BulletY[n] >= BadShipY[B] )
					{
						DebrisExists[n] = true;
						DebrisX[n] = BulletX[n];
						DebrisY[n] = BulletY[n];

						BulletHit[n] = true;
						BulletHitX[n] = BulletX[n];
						BulletHitY[n] = BulletY[n];

						bulletExists[n] = false;

						BadShipHealth[B] = BadShipHealth[B] - 1;
						 
						if ( BulletHit[n] == true )
						{
							for( int H = 0; H < BADSHIPWIDTH; H++ )
							{
								BadShipPixelX[H][B] = BadShipX[B] + H;
								
									if( BulletHitX[n] == BadShipPixelX[H][B] )
									{
										if( BadShipPixelShot[H][B] == false)
										{
											BadShipPixelShot[H][B] = true;
										}
										else if ( BadShipPixelShot[H][B] == true )
										{
										BadPixelShotLayer1[H][B] = true;
										}
										else if ( BadPixelShotLayer1[H][B] == true )
										{
											BadPixelShotLayer2[H][B] = true;
										}
										else if ( BadPixelShotLayer2[H][B] == true )
										{
											BadPixelShotLayer3[H][B] = true;
										}
										else if ( BadPixelShotLayer3[H][B] == true )
										{
											BadPixelShotLayer4[H][B] = true;
										}
									}
							
							}
						}
					} 
				}
			}
		}
	}
	
	//Element Generation

	void Game::PutStars()
	{
			if( NeedStar == true )
			{
				StarX[StarN] = rand() % 800;
				StarY[StarN] = 0;
				
				StarSpeed[StarN] = rand() % 5 + 2;
				StarExists[StarN] = true;
				StarN++;
				NeedStar = false;
				if( StarN == STARNUMBER )
				{
					StarN = 0;
				}
			}
			else if( StarCounter > 1 )
			{
				NeedStar = true;
				StarCounter = 0;
			}
			else
			{
				StarCounter++;
			}
	}

	void Game::SpawnBadShips()
	{
		for( int B = 0; B < BADSHIPNUMBER; B++ )
		{
			if( SpawnTimer > 180 && BadShipExists[B] == false )
			{
			BadShipExists[B] = true;
			BadShipX[B] = (rand() % 500) + 50;
			BadShipY[B] = 15;
			SpawnTimer = 0;
			BadShipJustSpawned[B] = true;
			}
		}
		SpawnTimer++;
	}
	
	void Game::MakeDebris()
	{
		for( int n = 0; n <	BULLETNUMBER; n++ )
		{
			if( DebrisExists[n] == true )
			{
			gfx.PutPixel( DebrisX[n] + 0.5, DebrisY[n], 185, 122, 14 );
			}
			if( DebrisExists[n] == false )
			{
			BulletHitX[n] = DebrisX[n];
			BulletHitY[n] = DebrisY[n];

			int variable = rand() % 11; 

			if( variable == 0 )
			{
				DebrisSpeedX[n] = .10f;
			}
			if( variable == 1 )
			{
				DebrisSpeedX[n] = - .08f;
			}
			if( variable == 2 )
			{
				DebrisSpeedX[n] = +.22f;
			}
			if( variable == 3 )
			{
				DebrisSpeedX[n] = - .24f;
			}
			if( variable == 4 )
			{
				DebrisSpeedX[n] = +.33f;
			}
			if( variable == 5 )
			{
				DebrisSpeedX[n] = - .35f;
			}	
			if( variable == 6 )
			{
				DebrisSpeedX[n] = +.46f;
			}
			if( variable == 7 )
			{
				DebrisSpeedX[n] = - .42f;
			}
			if( variable == 8 )
			{
				DebrisSpeedX[n] = + .65f;
			}
			if( variable == 9 )
			{
				DebrisSpeedX[n] = - .63f;
			}
			if( variable == 10 )
			{
				DebrisSpeedX[n] = 0;
			}
			
				DebrisSpeedY[n] = -rand() % 2 - 1;
			}
			DebrisX[n] = DebrisX[n] + DebrisSpeedX[n];
			DebrisY[n] = DebrisY[n] + DebrisSpeedY[n];
		}
	}

	//Element Update

	void Game::ControlStarSpeed()
	{
		for( int n = 0; n < STARNUMBER; n++ )
		{
			if( StarExists[n] == true )
			{
			StarY[n] = StarY[n] + StarSpeed[n];
			}
		}
	}
	
	void Game::MoveBadShips()
	{
		for( int B = 0; B < BADSHIPNUMBER; B++ )
		{
			if( BadShipExists[B] == true )
			{
				if( BadShipJustSpawned[B] == true && BadShipMoveTimer[B] < 160 )
				{
					BadShipY[B] = BadShipY[B] + 2;
					BadShipMoveTimer[B]++;
				}
				else if( BadShipMoveTimer[B] > 160 )
				{	
					BadShipJustSpawned[B] = false;
					BadShipSpeedX[B] = 0;
					BadShipSpeedY[B] = 0;
					BadShipSpeedX[B] = (rand() % 3);
					BadShipSpeedY[B] = (rand() % 3);
				
					int variableX = rand() % 2;
					if( variableX == 0 )
					{
						BadShipSpeedX[B] = -1 * BadShipSpeedX[B];
					}
					int variableY = rand() % 2;
					if( variableY == 0 )
					{
						BadShipSpeedY[B] = -1 * BadShipSpeedY[B];
					}
				}
				if( BadShipJustSpawned[B] == false )
				{
					BadShipX[B] = BadShipX[B] + BadShipSpeedX[B];
					BadShipY[B] = BadShipY[B] + BadShipSpeedY[B];
				}	
				if( BadShipMoveTimer[B] > 160 )
				{
					BadShipMoveTimer[B] = 0;
				}
				BadShipMoveTimer[B]++;
			}
			
		}
	}
	
	void Game::KillBadShips()
	{
		for( int B = 0; B < BADSHIPNUMBER; B++ )
		{
			if( BadShipHealth[B] < 15 /*&& BadShipWingL[B] == true && BadShipWingR[B] == true*/ )
			{
				if( BadShipWingR[B] == true )
				{
				DestroyRightWing();
				BadShipWingR[B] = false;
				ExplosionRGo[B] = true;
				}
				else if( BadShipWingL[B] == true && BadShipHealth[B] < 8 )
				{
					DestroyLeftWing();
					BadShipWingL[B] = false;
					ExplosionLGo[B] = true;
				}
				
				/*int variable = rand() % 2;
				
				if ( variable = 0 )
				{
					DestroyLeftWing();
				}
				else
				{
					DestroyRightWing();
				}
			}
			else if( BadShipHealth[B] < 7 && BadShipWingL[B] == true )
			{
				DestroyLeftWing();
			}
			else if( BadShipHealth[B] < 7 && BadShipWingR[B] == true )
			{
				DestroyRightWing();
				ExplosionRGo[B] = true;
			}*/
			}
		}
	}
	
	void Game::DestroyLeftWing()
{
	ExplosionLeft( BadShipX[BB] - 28, BadShipY[BB] - 27 );

}

void Game::DestroyRightWing()
{
	ExplosionRight( BadShipX[BB] + 5, BadShipY[BB] - 27 );
}

	void Game::FireGun1()
	{
		BulletX[b] = ShipX + 7;
		BulletY[b] = ShipY - 2;
		bulletExists[b] = true;
		b++;
		Gun1Shot = true;
		GunDelay = true;
	}

	void Game::FireGun2()
	{
		BulletX[b] = ShipX + 9;
		BulletY[b] = ShipY - 2;
		bulletExists[b] = true;
		b++;
		Gun2Shot = true;
		GunDelay = true;
	}

	void Game::FireGun3()
	{
		BulletX[b] = ShipX + 3;
		BulletY[b] = ShipY + 2;
		bulletExists[b] = true;
		b++;
		Gun3Shot = true;
		GunDelay = true;
	}

	void Game::FireGun4()
	{
		BulletX[b] = ShipX + 13;
		BulletY[b] = ShipY + 2;
		bulletExists[b] = true;
		b++;
		Gun4Shot = true;
		GunDelay = true;
	}

	void Game::DrawStars()
	{
		for( int n = 0; n < STARNUMBER; n++ )
		{
			if( StarExists[n] == true )
			{
				DrawStar( StarX[n], StarY[n] );
			}
		}
	}

	//Animation functions

	void Game::AnimateEngines()
	{
			if( Stg1Done == true )
			{
				DrawEngineFlareStg2( ShipX + 5, ShipY + 15 );
			}
			else if ( Stg1Done == false )
			{
				DrawEngineFlareStg1( ShipX + 5, ShipY + 15 );
			}
		if( EngineTimer > 7 && Stg1Done == true )
		{
			Stg1Done = false;
			EngineTimer = 0;
		}
		if( EngineTimer > 7 && Stg1Done == false )
		{
			Stg1Done = true;
			EngineTimer = 0;
		}
		else
		{
			EngineTimer++;
		}
	}	

	void Game::AnimateThrustersRight()
	{
		if ( ThrusterRStg1Done == false )
		{
			DrawThrusterRStg1( ShipX + 17, ShipY + 11 );
			ThrusterRStg1Done = true;
		}
		else if ( ThrusterRStg2Done == false && ThrusterRStg1Done == true )
		{
			DrawThrusterRStg2( ShipX + 17, ShipY + 11 );
			ThrusterRStg2Done = true;
		}
		else if ( ThrusterRStg3Done == false && ThrusterRStg2Done == true )
		{
			DrawThrusterRStg3( ShipX + 17, ShipY + 11 );
			ThrusterRStg3Done = true;
		}
		else if ( ThrusterRStg4Done == false && ThrusterRStg3Done == true )
		{
			DrawThrusterRStg4( ShipX + 17, ShipY + 11 );
			ThrusterRStg4Done = true;
		}
		else if ( ThrusterRStg5Done == false && ThrusterRStg4Done == true )
		{
			DrawThrusterRStg5( ShipX + 17, ShipY + 11 );
			ThrusterRStg5Done = true;
		}
	}

	void Game::AnimateThrustersLeft()
	{
		if ( ThrusterLStg1Done == false )
		{
			DrawThrusterLStg1( ShipX - 1, ShipY + 11 );
			ThrusterLStg1Done = true;
		}
		else if ( ThrusterLStg2Done == false && ThrusterLStg1Done == true )
		{
			DrawThrusterLStg2( ShipX - 1, ShipY + 11 );
			ThrusterLStg2Done = true;
		}
		else if ( ThrusterLStg3Done == false && ThrusterLStg2Done == true )
		{
			DrawThrusterLStg3( ShipX - 1, ShipY + 11 );
			ThrusterLStg3Done = true;
		}
		else if ( ThrusterLStg4Done == false && ThrusterLStg3Done == true )
		{
			DrawThrusterLStg4( ShipX - 1, ShipY + 11 );
			ThrusterLStg4Done = true;
		}
		else if ( ThrusterLStg5Done == false && ThrusterLStg4Done == true )
		{
			DrawThrusterLStg5( ShipX - 1, ShipY + 11 );
			ThrusterLStg5Done = true;
		}
	}	

	void Game::BulletHitAnim( int x, int y )
	{
		for( int n = 0; n < BULLETNUMBER; n++ )
		{
			if( BulletHit[n] == true )
			{
				if( BulletHitStg1[n] == false )
				{
					DrawHit1( BulletHitX[n], BulletHitY[n] );
					BulletHitStg1[n] = true;
				}
				if( BulletHitStg1[n] == true && BulletHitStg2[n] != true )
				{
					DrawHit2( BulletHitX[n], BulletHitY[n] );
					BulletHitStg2[n] = true;
				}
				if( BulletHitStg2[n] == true && BulletHitStg3[n] == false )
				{
					DrawHit3( BulletHitX[n], BulletHitY[n] );
					BulletHit[n] = false;
					BulletHitStg1[n] = false;
					BulletHitStg2[n] = false;
				}
				
			}
		}
	}

	void Game::ExplosionRight( int x, int y )
{
	if( ExplosionRGo[BB] == true )
	{
		if( ExplosionTimerR[BB] < 1 )
		{
		gfx.PutPixel(12 + x, 20 + y, 16, 16, 16);
gfx.PutPixel(13 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 23 + y, 16, 16, 16);
gfx.PutPixel(4 + x, 24 + y, 16, 16, 16);
gfx.PutPixel(5 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 25 + y, 8, 8, 8);
gfx.PutPixel(4 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 26 + y, 8, 8, 8);
gfx.PutPixel(2 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 28 + y, 8, 8, 8);
gfx.PutPixel(2 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 31 + y, 16, 16, 16);
gfx.PutPixel(1 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(0 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 38 + y, 8, 8, 8);
gfx.PutPixel(1 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(1 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(2 + x, 42 + y, 8, 8, 8);
gfx.PutPixel(3 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(3 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(4 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(5 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(7 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(6 + x, 46 + y, 8, 8, 8);
gfx.PutPixel(7 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(8 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(9 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(10 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(19 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(11 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(12 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(13 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(14 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(15 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(16 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(17 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(18 + x, 48 + y, 255, 255, 255);


	}
else if( ExplosionTimerR[BB] < 4 && ExplosionTimerR[BB] > 1 )
	{
	
gfx.PutPixel(13 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(16 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(10 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(10 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(14 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(15 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(16 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(17 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(18 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(10 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(13 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(14 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(15 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(16 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(17 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 36 + y, 255, 255, 201);
gfx.PutPixel(15 + x, 36 + y, 255, 255, 201);
gfx.PutPixel(16 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 36 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 37 + y, 255, 251, 53);
gfx.PutPixel(12 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(12 + x, 38 + y, 255, 251, 53);
gfx.PutPixel(13 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 38 + y, 255, 251, 53);
gfx.PutPixel(13 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 39 + y, 255, 250, 0);


	}
	else if ( ExplosionTimerR[BB] < 6 && ExplosionTimerR[BB] > 1 )
	{
		gfx.PutPixel(11 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(21 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(9 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 30 + y, 255, 252, 168);
gfx.PutPixel(8 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(20 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(21 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(10 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(12 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(10 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 33 + y, 255, 255, 201);
gfx.PutPixel(13 + x, 33 + y, 255, 255, 201);
gfx.PutPixel(14 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(13 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(14 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(17 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(18 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(19 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(9 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(13 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(17 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(19 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(9 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(10 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(11 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(12 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 40 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 40 + y, 255, 250, 0);


}
else if( ExplosionTimerR[BB] < 9 && ExplosionTimerR[BB] > 1 )
{ 
	gfx.PutPixel(15 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(21 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(22 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(7 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(13 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(21 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(22 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(23 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(6 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(22 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(23 + x, 28 + y, 255, 255, 0);
gfx.PutPixel(24 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(6 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(9 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(10 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(21 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(22 + x, 29 + y, 255, 255, 0);
gfx.PutPixel(23 + x, 29 + y, 255, 255, 0);
gfx.PutPixel(24 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(6 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 30 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(23 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(24 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(12 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(21 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(23 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(24 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 32 + y, 255, 251, 53);
gfx.PutPixel(8 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(9 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(13 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(7 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(8 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(9 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(10 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(13 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(8 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(21 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(7 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(12 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(15 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(7 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(8 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(9 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 39 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 39 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(14 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 40 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 40 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 41 + y, 255, 250, 0);


}
else if( ExplosionTimerR[BB] < 12 && ExplosionTimerR[BB] > 1 )
{
	gfx.PutPixel(19 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 22 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(6 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 25 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(6 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(8 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(6 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(7 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(19 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(24 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(6 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(12 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(25 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(26 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(12 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(25 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(22 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(25 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(26 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(14 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(26 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(6 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 32 + y, 255, 251, 53);
gfx.PutPixel(9 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(21 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(26 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(9 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(11 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(21 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(9 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(15 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(22 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(8 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(13 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(16 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(21 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(8 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 36 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(19 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(20 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(9 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(18 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(17 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 38 + y, 255, 184, 104);


}
else if (  ExplosionTimerR[BB] < 15 && ExplosionTimerR[BB] > 1 )
{
	gfx.PutPixel(20 + x, 10 + y, 249, 233, 0);
gfx.PutPixel(20 + x, 11 + y, 249, 233, 0);
gfx.PutPixel(16 + x, 14 + y, 249, 233, 0);
gfx.PutPixel(20 + x, 15 + y, 249, 233, 0);
gfx.PutPixel(23 + x, 15 + y, 249, 233, 0);
gfx.PutPixel(13 + x, 17 + y, 249, 233, 0);
gfx.PutPixel(19 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 17 + y, 249, 233, 0);
gfx.PutPixel(18 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 18 + y, 249, 233, 0);
gfx.PutPixel(18 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(6 + x, 25 + y, 255, 136, 0);
gfx.PutPixel(7 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(3 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 26 + y, 255, 136, 0);
gfx.PutPixel(5 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(23 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(26 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(27 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(3 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(11 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(9 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(10 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(11 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(20 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(7 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(12 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(16 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(8 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(9 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(11 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(13 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(14 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(19 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(20 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(8 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(10 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(20 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(15 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(17 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(18 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 36 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 36 + y, 255, 136, 0);

}
else if(  ExplosionTimerR[BB] < 18 && ExplosionTimerR[BB] > 1 )
{
	gfx.PutPixel(21 + x, 2 + y, 249, 233, 0);
gfx.PutPixel(21 + x, 3 + y, 249, 233, 0);
gfx.PutPixel(19 + x, 7 + y, 249, 233, 0);
gfx.PutPixel(14 + x, 9 + y, 249, 233, 0);
gfx.PutPixel(26 + x, 9 + y, 249, 233, 0);
gfx.PutPixel(22 + x, 10 + y, 249, 233, 0);
gfx.PutPixel(24 + x, 11 + y, 249, 233, 0);
gfx.PutPixel(23 + x, 12 + y, 249, 233, 0);
gfx.PutPixel(19 + x, 13 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 13 + y, 255, 184, 104);
gfx.PutPixel(27 + x, 13 + y, 249, 233, 0);
gfx.PutPixel(18 + x, 14 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 14 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 15 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 15 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 16 + y, 255, 184, 104);
gfx.PutPixel(19 + x, 16 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(20 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 18 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(19 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(6 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(7 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(17 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(4 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(5 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(6 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(3 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(4 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(5 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(3 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(24 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(25 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(27 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 25 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 28 + y, 255, 97, 0);
gfx.PutPixel(12 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(8 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(9 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(10 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(11 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(14 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(15 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(8 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(9 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(10 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(12 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(13 + x, 30 + y, 255, 97, 0);
gfx.PutPixel(14 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(16 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(8 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(9 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(10 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(11 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(12 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(13 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(14 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(15 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(16 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(18 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(9 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(10 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(13 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(14 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(15 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(16 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(18 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(13 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(14 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(16 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(17 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(18 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(15 + x, 34 + y, 255, 97, 0);
gfx.PutPixel(16 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(17 + x, 34 + y, 255, 136, 0);

	
}
	else if( ExplosionTimerR[BB] > 17 )
	{
		ExplosionRGo[BB] = false;
	}
ExplosionTimerR[BB]++;
}
else
{
	ExplosionTimerR[BB] = 0;
}
}

	void Game::ExplosionLeft( int x, int y )
{
	{
	if( ExplosionLGo[BB] == true )
	{
/*initial*/		if( ExplosionTimerL[BB] < 1 )
		{
		gfx.PutPixel(32 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 20 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 20 + y, 16, 16, 16);
gfx.PutPixel(29 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 21 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 22 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 23 + y, 16, 16, 16);
gfx.PutPixel(26 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 23 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 24 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 24 + y, 16, 16, 16);
gfx.PutPixel(23 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 25 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 25 + y, 8, 8, 8);
gfx.PutPixel(22 + x, 26 + y, 8, 8, 8);
gfx.PutPixel(23 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 26 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 27 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 28 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 28 + y, 8, 8, 8);
gfx.PutPixel(21 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 29 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 30 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 31 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 31 + y, 16, 16, 16);
gfx.PutPixel(20 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 32 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 33 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 34 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 35 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 36 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(49 + x, 37 + y, 255, 255, 255);
gfx.PutPixel(20 + x, 38 + y, 8, 8, 8);
gfx.PutPixel(21 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 38 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 39 + y, 255, 255, 255);
gfx.PutPixel(21 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(48 + x, 40 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 41 + y, 255, 255, 255);
gfx.PutPixel(22 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(23 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 42 + y, 255, 255, 255);
gfx.PutPixel(47 + x, 42 + y, 8, 8, 8);
gfx.PutPixel(23 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(46 + x, 43 + y, 255, 255, 255);
gfx.PutPixel(24 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(45 + x, 44 + y, 255, 255, 255);
gfx.PutPixel(25 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(44 + x, 45 + y, 255, 255, 255);
gfx.PutPixel(26 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(27 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(28 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(42 + x, 46 + y, 255, 255, 255);
gfx.PutPixel(43 + x, 46 + y, 8, 8, 8);
gfx.PutPixel(28 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(29 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(30 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(39 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(40 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(41 + x, 47 + y, 255, 255, 255);
gfx.PutPixel(31 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(32 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(33 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(34 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(35 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(36 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(37 + x, 48 + y, 255, 255, 255);
gfx.PutPixel(38 + x, 48 + y, 255, 255, 255);

	}
else if( ExplosionTimerL[BB] < 4 && ExplosionTimerL[BB] > 1 )
	{
//stage1//	
gfx.PutPixel(34 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(34 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(35 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(31 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(33 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(34 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(35 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(36 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(37 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 34 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(31 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(34 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(35 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(36 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(37 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(38 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(39 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 36 + y, 255, 251, 53);
gfx.PutPixel(31 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 36 + y, 255, 255, 201);
gfx.PutPixel(35 + x, 36 + y, 255, 255, 201);
gfx.PutPixel(36 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 37 + y, 255, 251, 53);
gfx.PutPixel(32 + x, 38 + y, 255, 251, 53);
gfx.PutPixel(33 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 38 + y, 255, 251, 53);
gfx.PutPixel(33 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 39 + y, 255, 255, 0);

	}
	else if ( ExplosionTimerL[BB] < 6 && ExplosionTimerL[BB] > 1 )
	{
//stg2//
gfx.PutPixel(36 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(29 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(30 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 30 + y, 255, 252, 168);
gfx.PutPixel(28 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 30 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(31 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 32 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(39 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(41 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 33 + y, 255, 255, 201);
gfx.PutPixel(37 + x, 33 + y, 255, 255, 201);
gfx.PutPixel(38 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(41 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(32 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(33 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(34 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 34 + y, 255, 255, 201);
gfx.PutPixel(37 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(38 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 35 + y, 255, 255, 201);
gfx.PutPixel(34 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(38 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(39 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(40 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(41 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(29 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(39 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(40 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(39 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(38 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 40 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 40 + y, 255, 250, 0);

}
else if( ExplosionTimerL[BB] < 9 && ExplosionTimerL[BB] > 1 )
{ 
//stg3//
	gfx.PutPixel(27 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(28 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(29 + x, 26 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(27 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(28 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(29 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 27 + y, 255, 255, 0);
gfx.PutPixel(39 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 28 + y, 255, 255, 0);
gfx.PutPixel(27 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(28 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(29 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(41 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 29 + y, 255, 255, 0);
gfx.PutPixel(27 + x, 29 + y, 255, 255, 0);
gfx.PutPixel(28 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(29 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(30 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 29 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(40 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(41 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(42 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(27 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 30 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 31 + y, 255, 251, 53);
gfx.PutPixel(27 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 31 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(39 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(41 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(28 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(38 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(41 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(42 + x, 32 + y, 255, 251, 53);
gfx.PutPixel(28 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(38 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(41 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(42 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(28 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(29 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(41 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(28 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(29 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(36 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(39 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(34 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(35 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 38 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 38 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 39 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 39 + y, 255, 255, 0);
gfx.PutPixel(37 + x, 39 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 39 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 39 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 40 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 40 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 40 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 41 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 41 + y, 255, 250, 0);


}
else if( ExplosionTimerL[BB] < 12 && ExplosionTimerL[BB] > 1 )
{
//stg4//
	gfx.PutPixel(30 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 22 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 25 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(43 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(44 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(22 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(25 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(39 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(45 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(24 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(39 + x, 29 + y, 255, 251, 53);
gfx.PutPixel(40 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(44 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(45 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(27 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(29 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(27 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(28 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 31 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(37 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(28 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(30 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(41 + x, 32 + y, 255, 251, 53);
gfx.PutPixel(42 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(28 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 33 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(35 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(40 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(41 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(42 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(27 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(28 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(29 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(36 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 34 + y, 255, 251, 53);
gfx.PutPixel(27 + x, 35 + y, 255, 251, 53);
gfx.PutPixel(28 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 35 + y, 255, 255, 0);
gfx.PutPixel(35 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(38 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(31 + x, 36 + y, 255, 255, 0);
gfx.PutPixel(32 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 36 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 36 + y, 255, 252, 168);
gfx.PutPixel(35 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(37 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 36 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(30 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 37 + y, 255, 255, 0);
gfx.PutPixel(33 + x, 37 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 37 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 37 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 37 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 38 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 38 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 38 + y, 255, 250, 0);


}
else if (  ExplosionTimerL[BB] < 15 && ExplosionTimerL[BB] > 1 )
{
	//stg5//
	gfx.PutPixel(29 + x, 10 + y, 249, 233, 0);
gfx.PutPixel(29 + x, 11 + y, 249, 233, 0);
gfx.PutPixel(33 + x, 14 + y, 249, 233, 0);
gfx.PutPixel(26 + x, 15 + y, 249, 233, 0);
gfx.PutPixel(29 + x, 15 + y, 249, 233, 0);
gfx.PutPixel(24 + x, 17 + y, 249, 233, 0);
gfx.PutPixel(27 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 17 + y, 249, 233, 0);
gfx.PutPixel(27 + x, 18 + y, 249, 233, 0);
gfx.PutPixel(29 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 23 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(43 + x, 25 + y, 255, 136, 0);
gfx.PutPixel(44 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(45 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(26 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(45 + x, 26 + y, 255, 136, 0);
gfx.PutPixel(46 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 27 + y, 255, 184, 104);
gfx.PutPixel(45 + x, 27 + y, 255, 136, 0);
gfx.PutPixel(21 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(46 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(23 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(24 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 29 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(40 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(41 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(29 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(35 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(39 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(41 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(29 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(30 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(31 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(32 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 33 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(37 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(38 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(40 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(41 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(42 + x, 33 + y, 255, 251, 53);
gfx.PutPixel(29 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(31 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 34 + y, 255, 184, 104);
gfx.PutPixel(38 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 34 + y, 255, 252, 168);
gfx.PutPixel(41 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 35 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 35 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 35 + y, 255, 252, 168);
gfx.PutPixel(40 + x, 35 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 36 + y, 255, 136, 0);
gfx.PutPixel(34 + x, 36 + y, 255, 252, 168);


}
else if(  ExplosionTimerL[BB] < 18 && ExplosionTimerL[BB] > 1 )
{
	//stg6//
	gfx.PutPixel(28 + x, 2 + y, 249, 233, 0);
gfx.PutPixel(28 + x, 3 + y, 249, 233, 0);
gfx.PutPixel(30 + x, 7 + y, 249, 233, 0);
gfx.PutPixel(23 + x, 9 + y, 249, 233, 0);
gfx.PutPixel(35 + x, 9 + y, 249, 233, 0);
gfx.PutPixel(27 + x, 10 + y, 249, 233, 0);
gfx.PutPixel(25 + x, 11 + y, 249, 233, 0);
gfx.PutPixel(26 + x, 12 + y, 249, 233, 0);
gfx.PutPixel(22 + x, 13 + y, 249, 233, 0);
gfx.PutPixel(29 + x, 13 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 13 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 14 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 14 + y, 255, 184, 104);
gfx.PutPixel(30 + x, 15 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 15 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 16 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 16 + y, 255, 184, 104);
gfx.PutPixel(29 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 17 + y, 255, 250, 0);
gfx.PutPixel(30 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 18 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 18 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(42 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(43 + x, 19 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 19 + y, 255, 184, 104);
gfx.PutPixel(32 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(43 + x, 20 + y, 255, 250, 0);
gfx.PutPixel(44 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(45 + x, 20 + y, 255, 184, 104);
gfx.PutPixel(44 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(45 + x, 21 + y, 255, 250, 0);
gfx.PutPixel(46 + x, 21 + y, 255, 184, 104);
gfx.PutPixel(46 + x, 22 + y, 255, 184, 104);
gfx.PutPixel(22 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(23 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(24 + x, 24 + y, 255, 250, 0);
gfx.PutPixel(25 + x, 24 + y, 255, 184, 104);
gfx.PutPixel(21 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(22 + x, 25 + y, 255, 184, 104);
gfx.PutPixel(24 + x, 25 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 26 + y, 255, 184, 104);
gfx.PutPixel(22 + x, 26 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 27 + y, 255, 250, 0);
gfx.PutPixel(21 + x, 28 + y, 255, 184, 104);
gfx.PutPixel(36 + x, 28 + y, 255, 250, 0);
gfx.PutPixel(37 + x, 28 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 28 + y, 255, 97, 0);
gfx.PutPixel(33 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(36 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(37 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(38 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 29 + y, 255, 97, 0);
gfx.PutPixel(40 + x, 29 + y, 255, 250, 0);
gfx.PutPixel(41 + x, 29 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(34 + x, 30 + y, 255, 184, 104);
gfx.PutPixel(35 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 30 + y, 255, 97, 0);
gfx.PutPixel(37 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(38 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(39 + x, 30 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 30 + y, 255, 136, 0);
gfx.PutPixel(41 + x, 30 + y, 255, 251, 53);
gfx.PutPixel(31 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 31 + y, 255, 184, 104);
gfx.PutPixel(33 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(35 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(36 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(37 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(38 + x, 31 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(40 + x, 31 + y, 255, 97, 0);
gfx.PutPixel(41 + x, 31 + y, 255, 250, 0);
gfx.PutPixel(31 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(33 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 32 + y, 255, 252, 168);
gfx.PutPixel(35 + x, 32 + y, 255, 250, 0);
gfx.PutPixel(36 + x, 32 + y, 255, 136, 0);
gfx.PutPixel(39 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(40 + x, 32 + y, 255, 184, 104);
gfx.PutPixel(31 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(32 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(33 + x, 33 + y, 255, 252, 168);
gfx.PutPixel(34 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(35 + x, 33 + y, 255, 136, 0);
gfx.PutPixel(36 + x, 33 + y, 255, 250, 0);
gfx.PutPixel(32 + x, 34 + y, 255, 136, 0);
gfx.PutPixel(33 + x, 34 + y, 255, 250, 0);
gfx.PutPixel(34 + x, 34 + y, 255, 97, 0);

}
	else if( ExplosionTimerL[BB] > 17 )
	{
		ExplosionRGo[BB] = false;
	}
ExplosionTimerL[BB]++;
}
else
{
	ExplosionTimerL[BB] = 0;
}
}
}







		 
		


